org.red5.server.service

## Class HandlerServiceResolver

- java.lang.Object
- - org.red5.server.service.HandlerServiceResolver

All Implemented Interfaces:
  IServiceResolver

    public class HandlerServiceResolver
    extends Object
    implements IServiceResolver

Allow scope handlers to create service handlers dynamically.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Constructor Summary

Constructors
Constructor and Description
`HandlerServiceResolver()`

### Method Summary

Methods
`Object` `resolveService(IScope scope, String serviceName)` Search for a service with the given name in the scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerServiceResolver

    public HandlerServiceResolver()

### Method Detail

#### resolveService

    public Object resolveService(IScope scope,
                        String serviceName)

Search for a service with the given name in the scope.

Specified by:
  `resolveService` in interface `IServiceResolver`
Parameters:
  `scope` - the scope to search in
  `serviceName` - the name of the service
Returns:
  the object implementing the service or `null` if service doesn't exist